Subject: HtmlViewHelper outputs htmlspecialchared code
Description

Hi,

using the HtmlViewHelper at least in typo3 4.3 the output is always htmlspecialchared.

Adding:
$value = htmlspecialchars_decode($value);

after line 71 of Tx_Fluid_ViewHelpers_Format_HtmlViewHelper

solve this problem. But I don't know if this is the wanted way.

History
#1 - 2009-06-04 09:49 - Bastian Waidelich

Note: The reason for this bug is the automatic htmlspecialchar'ing of object accessors introduced with 
http://forge.typo3.org/repositories/revision/typo3v4-mvc/725. We're planning to allow you to disable this in your view helpers. So the above solution is
just preliminary.

#2 - 2009-06-05 09:41 - Sebastian Kurfuerst

We'll create a new variable inside a ViewHelper called "$rawInput" which disables the postprocessing of ViewHelpers inside the opening / closing
brackets.

If we have a viewhelper with rawInput=FALSE inside, then this should override the rawInput=TRUE.

$rawInput will be marked as @internal first.

#3 - 2009-06-05 09:43 - Sebastian Kurfuerst
- Category changed from ViewHelpers to Core
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst
- Target version set to 1.0.0 alpha 2
- Branch set to v4 + v5

#4 - 2009-06-12 13:54 - Sebastian Kurfuerst
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
resolved.
